org.codehaus.plexus.util.cli

## Class StreamFeeder

- java.lang.Object
- - java.lang.Thread
  - - org.codehaus.plexus.util.cli.StreamFeeder

- All Implemented Interfaces:
    java.lang.Runnable

      public class StreamFeeder
      extends java.lang.Thread

  Read from an InputStream and write the output to an OutputStream.
  Version:
    $Id: StreamFeeder.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Trygve Laugstøl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamFeeder(java.io.InputStream input, java.io.OutputStream output)` Create a new StreamFeeder

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isDone()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamFeeder

          public StreamFeeder(java.io.InputStream input,
                              java.io.OutputStream output)

      Create a new StreamFeeder
      Parameters:
        `input` - Stream to read from
        `output` - Stream to write to

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### close

          public void close()

    - #### isDone

          public boolean isDone()